Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBox

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionToolBox

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

Direct Known Subclasses:
  QStyleOptionToolBoxV2

    public class QStyleOptionToolBox

extends QStyleOption
implements java.lang.Cloneable

The `QStyleOptionToolBox` class is used to describe the parameters needed for drawing a tool box. `QStyleOptionToolBox` contains all the information that `QStyle` functions need to draw `QToolBox`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`, and `QToolBox`.

Nested Class Summary
`static class` | `QStyleOptionToolBox.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionToolBox.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleOptionToolBox()` Creates a `QStyleOptionToolBox`, initializing the members variables to their default values.
`QStyleOptionToolBox(QStyleOptionToolBox other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionToolBox` | `clone()` This method is reimplemented for internal reasons
`static QStyleOptionToolBox` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleOptionToolBox instance pointed to by `nativePointer`.
`QIcon` | `icon()` This variable holds the icon for the tool box tab.
`static QNativePointer` | `nativePointerArray(QStyleOptionToolBox[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBox array.
`void` | `setIcon(QIcon icon)` This variable holds the icon for the tool box tab.
`void` | `setText(java.lang.String text)` This variable holds the text for the tool box tab.
`java.lang.String` | `text()` This variable holds the text for the tool box tab.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionToolBox

    public QStyleOptionToolBox()

  Creates a `QStyleOptionToolBox`, initializing the members variables to their default values.

### QStyleOptionToolBox

    public QStyleOptionToolBox(QStyleOptionToolBox other)

  Constructs a copy of the `other` style option.

Method Detail

### setIcon

    public final void setIcon(QIcon icon)

  This variable holds the icon for the tool box tab. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### icon

    public final QIcon icon()

  This variable holds the icon for the tool box tab. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### setText

    public final void setText(java.lang.String text)

  This variable holds the text for the tool box tab. The default value is an empty string.

### text

    public final java.lang.String text()

  This variable holds the text for the tool box tab. The default value is an empty string.

### fromNativePointer

    public static QStyleOptionToolBox fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleOptionToolBox instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionToolBox[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBox array.

### clone

    public QStyleOptionToolBox clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOption`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD